FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000925FL51.1 FLCLpublic2018-07-30 13:442019-02-17 17:53
ReporterMykhailo Moldavskyy 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.17 
Target Version5.1.21Fixed in Version5.1.20 
Summary0000925: Add or replace recipient or re-keying an existing encrypted PGP file
DescriptionAdd or replace recipient or re-keying an existing encrypted PGP file.

1. Allow additional recipients access to the existing data
2. Change sessionkey encryption from older key to a newer one.
3. Change sessionkey encryption from one HSM to an other one.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001159)
Falk Reichbott (administrator)
2018-07-30 15:25

There are tow behaviors required.

One for key translate inside of a HSM and one with the clear key value for an FKM5 to another FKM5 processing.

To solve this issue, we must implement an new commando (REKEY or XLAT) for FLCL/FLUCUP.
(0001211)
Falk Reichbott (administrator)
2019-02-17 17:53

At read the re-encryption of PGP files are now implemented. This can be used in 2 modes. The re-encrypted session key (under passphrase or public key) are add to (default) or replace (set) the existing session key packets.

The feature works on armor'ed files and can also produce armor'ed files.

This is mainly useful and was implemented to support different views of flucFS to the same PGP encrypted files. These files are encrypted under an repository key and for each view a re-encryption to another public key can be defined. This make encrypted PGP files manageable for an enterprise after encrypted write.

- Issue History
Date Modified Username Field Change
2018-07-30 13:44 Mykhailo Moldavskyy New Issue
2018-07-30 13:44 Mykhailo Moldavskyy Status new => assigned
2018-07-30 13:44 Mykhailo Moldavskyy Assigned To => Mykhailo Moldavskyy
2018-07-30 15:25 Falk Reichbott Note Added: 0001159
2018-11-02 12:46 Falk Reichbott Target Version 5.1.20 => 5.1.21
2018-11-02 12:50 Falk Reichbott Assigned To Mykhailo Moldavskyy => Falk Reichbott
2019-02-17 17:53 Falk Reichbott Note Added: 0001211
2019-02-17 17:53 Falk Reichbott Status assigned => resolved
2019-02-17 17:53 Falk Reichbott Fixed in Version => 5.1.20
2019-02-17 17:53 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker